VLOCK(1)

NOM
vlock — Programme de verrouillage de la console virtuelle

SYNOPSIS
vlock [ -hv ]

vlock [ -acns ] [ -t <délai> ] [ greffon ... ]

DESCRIPTION
vlock est un programme pour verrouiller une ou plusieurs sessions de console Linux. Il est particulièrement utile pour les machines Linux qui ont plusieurs utilisateurs ayant accès à la console. Un utilisateur peut verrouiller sa ou ses sessions tout en permettant aux autres utilisateurs d’utiliser le système sur d’autres consoles virtuelles. Si désiré, il est possible de verrouiller la console entière et d’empêcher le changement de console virtuelle.

Par défaut, seule la console virtuelle en cours est verrouillée. Avec l’option -a,-all toutes les consoles virtuelles sont verrouillées. Les consoles virtuelles verrouillées ne peuvent être déverrouillées sans le mot de passe de l’invocateur ou du superutilisateur. Le mot de passe du superutilisateur permettra toujours de déverrouiller une ou toutes les sessions à moins que cela ne soit désactivé au moment de la compilation.

Veuillez noter qu’il est tout à fait possible que vous ne puissiez plus accéder à la console avec les options -a,--all si vous ne vous souvenez plus de votre mot de passe ! À moins de pouvoir tuer vlock en se connectant à distance à l’aide d’un terminal série ou à travers le réseau, un redémarrage complet du système est la seule méthode pour déverrouiller le display.

Lors du verrouillage du display entier de la console, il est parfois possible de tuer vlock en utilisant SAK (Secure Attention Key) ou d’autres commandes disponibles à travers le mécanisme SysRq. Quand les options -s,--disable-sysrq et -a,--all sont indiquées, le mécanisme SysRq est désactivé quand vlock est en cours d’exécution. Consulter /usr/src/linux/Documentation/sysrq.txt pour plus de détails.

Les options -s,--disable-sysrq et -t,--timeout fonctionnent uniquement si vlock est compilé avec la prise en charge des greffons. Consulter vlock-plugins(5) pour plus d’informations.

OPTIONS
-a,--all

    Verrouiller toutes les sessions de console et désactiver le changement de console virtuelle.

-c,--current

    Verrouiller la session en cours (comportement par défaut).

-s,--disable-sysrq

    Désactiver le mécanisme SysRq pendant le verrouillage des consoles. Cette option ne fonctionne que si l’option -a ou --all est spécifiée.

-t,--timeout secondes

    Spécifier le délai pour les greffons d’économiseur d’écran. Consulter vlock-plugins(5) pour plus d’informations.

-h,--help

    Afficher un aide-mémoire succinct.

-v,--version

    Afficher le numéro de version.

VARIABLES D'ENVIRONNEMENT
Les variables d’environnement suivantes peuvent être utilisées pour changer le comportement de vlock :

USER

    Si cette variable est définie quand vlock est exécuté en tant que superutilisateur (uid 0), vlock verrouille l’écran en tant que cet utilisateur au lieu du superutilisateur. Le mot de passe du superutilisateur peut toujours déverrouiller la session à moins que cela ne soit désactivé au moment de la compilation.

VLOCK_ALL_MESSAGE

    Si cette variable est définie et que toutes les consoles sont verrouillées, son contenu sera utilisé comme message de verrouillage au lieu du message par défaut.

VLOCK_CURRENT_MESSAGE

    Si cette variable est définie et que seule la console en cours est verrouillée, son contenu sera utilisé comme message de verrouillage au lieu du message par défaut.

VLOCK_MESSAGE

    Si cette variable est définie, son contenu sera utilisé comme message de verrouillage au lieu du message par défaut. Elle outrepasse les deux variables précédentes.

VLOCK_PLUGINS

    Si cette variable est définie, elle est interprétée comme une liste de greffons séparés par des espaces qui sera chargée quand vlock démarre, en plus de ceux listés sur la ligne de commande.

VLOCK_TIMEOUT

    Cette variable est à définir pour spécifier le délai (en secondes) après lequel les greffons d’économiseur d’écran (s’ils existent) seront invoqués. Si cette variable n’est pas définie, définie à une valeur non valable ou à zéro, aucun délai ne sera pris en compte. Consulter vlock-plugins(5) pour plus d’informations sur les greffons.

VLOCK_PROMPT_TIMEOUT

    Cette variable permet de spécifier le délai (en secondes) de saisie du mot de passe à l’invite du mot de passe. Si cette variable n’est pas définie, définie à une valeur non valable ou à zéro, aucun délai ne sera pris en compte. Attention : si cette valeur est trop petite, le déverrouillage de la session pourrait s’avérer impossible.

FICHIERS
~/.vlockrc

    Ce fichier, s’il existe, est lu par vlock au démarrage. Toutes les variables mentionnées ci-dessus peuvent être définies ici.

SÉCURITÉ
Consulter le fichier SECURITY dans la distribution de vlock pour plus d’informations.

VOIR AUSSI
vlock-main(8), vlock-plugins(5)

AUTEURS
Michael K. Johnson <http://danlj.org/mkj/>

Frank Benkstein <frank-vlock@benkstein.net>

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.